﻿
<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="https://cdn3.devexpress.com/jslib/21.1.6/js/dx.all.js"></script>
<script src="~/js/sweetalert.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.8.0/jszip.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.8.0/xlsx.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/exceljs/exceljs.min.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/FileSaver/FileSaver.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<style>
    .ThongTinTiem,.ThongTinTiem2, .ThongTinTiem3 {
        display:none;
    }
    .active {
        display:block;
    }
</style>
<script type="text/javascript">
    var flag_fixed = false;
	function createCookie(name, value, days) {
        var expires;

        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            expires = "; expires=" + date.toGMTString();
        } else {
            expires = "";
        }
        document.cookie = encodeURIComponent(name) + "=" + encodeURIComponent(value) + expires + "; path=/";
    }

    function readCookie(name) {
        var nameEQ = encodeURIComponent(name) + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) === ' ')
                c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) === 0)
                return decodeURIComponent(c.substring(nameEQ.length, c.length));
        }
        return null;
    }

    function eraseCookie(name) {
        createCookie(name, "", -1);
    }

    $( document ).ready(function() {
        if (readCookie("DonViChiTiet")) {
            console.log(readCookie("DonViChiTiet"));
            $("#DonVi").val(readCookie("DonViChiTiet"));
            $('#btnXem').click();
        }
        $("#staticBackdrop").delegate("#TinhThanhPho", "change", function () {
            var TinhThanhPho = $('#TinhThanhPho').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetQuanHuyenByTinhThanh", "Staff")',
                data: { TinhThanhPho: TinhThanhPho },
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    $('#QuanHuyen').empty();
                    $('#QuanHuyen').append(data);
                },
                error: function (e) {

                }
            });
        }); $("#staticBackdrop").delegate("#QuanHuyen", "change", function () {
            var TinhThanhPho = $('#TinhThanhPho').val();
            var QuanHuyen = $('#QuanHuyen').val();
            var IdStaff = $('.IdStaff').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetDiaDiemTiemByQuanHuyen", "Staff")',
                data: { IdStaff:IdStaff,TinhThanhPho: TinhThanhPho,QuanHuyen:QuanHuyen },
                dataType: 'text',
                success: function (data) {
                    console.log(data);
                    $('#Mui_DiaDiem').empty();
                    $('#Mui_DiaDiem').append(data);
                },
                error: function (e) {

                }
            });
        });
    });
    $("#staticBackdrop").delegate(".flexRadioDefault", "click", function () {
        var opt = $('input[name=flexRadioDefault]:checked', '#myform').val();
        if (opt == 1) {
            $('.ThongTinTiem').addClass('active');
            $('.ThongTinTiem2').removeClass('active');
            $('.ThongTinTiem3').removeClass('active');
        } else if (opt == 4) {
            $('.ThongTinTiem2').addClass('active');
            $('.ThongTinTiem').removeClass('active');
            $('.ThongTinTiem3').removeClass('active');
        }else if (opt == 2) {
            $('.ThongTinTiem').removeClass('active');
            $('.ThongTinTiem2').removeClass('active');
            $('.ThongTinTiem3').addClass('active');
        } else {
            $('.ThongTinTiem2').removeClass('active');
            $('.ThongTinTiem').removeClass('active');
            $('.ThongTinTiem3').removeClass('active');
        }
    });
    $('.btnLuuThongTin').click(function () {
        var Mui_TenVacxin = $('#Mui_TenVacxin').val();
        var Mui_SoLo = $('#Mui_SoLo').val();
        var Mui_NgayTiem = $('#Mui_NgayTiem').val();
        var Mui_DiaDiem = $('#Mui_DiaDiem').val();
        var Mui_LyDoKhac = $('#Mui_LyDoKhac').val();
        var Mui_DiaDiem_Old = $('#Mui_DiaDiem_Old').val();
        var NgayNhiem = $('#NgayNhiem').val();
        var NgayXuatVien = $('#NgayXuatVien').val();
        var MaQR = $('.MaQR').val();
        var opt = $('input[name=flexRadioDefault]:checked', '#myform').val();
        console.log(opt);

        var x = MaQR.split(';').length;
        if (x > 1) {
            var rs = confirm("Bạn muốn cập nhật thông tin trên cho [" + x + "] nhân viên đang chọn?");
            if (rs == true) {
                if (opt == 1) {
                    if (Mui_TenVacxin != "" && Mui_NgayTiem != "") {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinLyDoKhongTiem", "Staff")',
                            data: {
                                MaQR: MaQR, Mui_TenVacxin: Mui_TenVacxin, Mui_SoLo: Mui_SoLo, Mui_NgayTiem: Mui_NgayTiem, Mui_DiaDiem: Mui_DiaDiem
                                , Mui_LyDoKhac: Mui_LyDoKhac, Mui_DiaDiem_Old: Mui_DiaDiem_Old,NgayNhiem:NgayNhiem,NgayXuatVien:NgayXuatVien
                                , opt: opt
                            },
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    } else {
                        alert("Vui lòng điền đủ thông tin ngày tiêm và tên mũi tiêm!");
                    }
                } else if (opt == 4) {
                    if (Mui_LyDoKhac != "") {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinLyDoKhongTiem", "Staff")',
                            data: {
                                MaQR: MaQR, Mui_TenVacxin: Mui_TenVacxin, Mui_SoLo: Mui_SoLo, Mui_NgayTiem: Mui_NgayTiem, Mui_DiaDiem: Mui_DiaDiem
                                , Mui_LyDoKhac: Mui_LyDoKhac, Mui_DiaDiem_Old: Mui_DiaDiem_Old,NgayNhiem:NgayNhiem,NgayXuatVien:NgayXuatVien
                                , opt: opt
                            },
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    } else {
                         alert("Vui lòng điền lý do!");
                    }
                } else {
                    $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinLyDoKhongTiem", "Staff")',
                            data: {
                                MaQR: MaQR, Mui_TenVacxin: Mui_TenVacxin, Mui_SoLo: Mui_SoLo, Mui_NgayTiem: Mui_NgayTiem, Mui_DiaDiem: Mui_DiaDiem
                                , Mui_LyDoKhac: Mui_LyDoKhac, Mui_DiaDiem_Old: Mui_DiaDiem_Old,NgayNhiem:NgayNhiem,NgayXuatVien:NgayXuatVien
                                , opt: opt
                            },
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                }
            }
        } else {
            if (opt == 1) {
                    if (Mui_TenVacxin != "" && Mui_NgayTiem != "") {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinLyDoKhongTiem", "Staff")',
                            data: {
                                MaQR: MaQR, Mui_TenVacxin: Mui_TenVacxin, Mui_SoLo: Mui_SoLo, Mui_NgayTiem: Mui_NgayTiem, Mui_DiaDiem: Mui_DiaDiem
                                , Mui_LyDoKhac: Mui_LyDoKhac, Mui_DiaDiem_Old: Mui_DiaDiem_Old,NgayNhiem:NgayNhiem,NgayXuatVien:NgayXuatVien
                                , opt: opt
                            },
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    } else {
                        alert("Vui lòng điền đủ thông tin ngày tiêm và tên mũi tiêm!");
                    }
                } else if (opt == 4) {
                    if (Mui_LyDoKhac != "") {
                        $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinLyDoKhongTiem", "Staff")',
                            data: {
                                MaQR: MaQR, Mui_TenVacxin: Mui_TenVacxin, Mui_SoLo: Mui_SoLo, Mui_NgayTiem: Mui_NgayTiem, Mui_DiaDiem: Mui_DiaDiem
                                , Mui_LyDoKhac: Mui_LyDoKhac, Mui_DiaDiem_Old: Mui_DiaDiem_Old,NgayNhiem:NgayNhiem,NgayXuatVien:NgayXuatVien
                                , opt: opt
                            },
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                    } else {
                         alert("Vui lòng điền lý do!");
                    }
                } else {
                    $.ajax({
                            type: "POST",
                            url: '@Url.Action("LuuThongTinLyDoKhongTiem", "Staff")',
                            data: {
                                MaQR: MaQR, Mui_TenVacxin: Mui_TenVacxin, Mui_SoLo: Mui_SoLo, Mui_NgayTiem: Mui_NgayTiem, Mui_DiaDiem: Mui_DiaDiem
                                , Mui_LyDoKhac: Mui_LyDoKhac, Mui_DiaDiem_Old: Mui_DiaDiem_Old,NgayNhiem:NgayNhiem,NgayXuatVien:NgayXuatVien
                                , opt: opt
                            },
                            dataType: 'text',
                            success: function (data) {
                                alert('Đã cập nhật thành công');
                                window.location.reload();
                            },
                            error: function (e) {

                            }
                        });
                }
        }

    });
    $('.btnCapNhatThongTin').click(function () {
        var dataGrid = $("#gridContainer").dxDataGrid("instance");
        var selectedRowsData = dataGrid.getSelectedRowsData();
        if (selectedRowsData.length == 1) {
            var MaQR = selectedRowsData[0].MaQR;
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinMui", "Staff")',
                data: { MaQR: MaQR },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    console.log(rs); $('.MaQR').val(MaQR);
                    $('#Mui_TenVacxin').html(rs.LsTenVacXin);
                    $('#Mui_SoLo').val(rs.Mui_SoLo);
                    $('#Mui_NgayTiem').val(rs.Mui_NgayTiem);
                    $('#Mui_DiaDiem_Old').val(rs.Mui_DiaDiem);
                    $('#Mui_LyDoKhac').val(rs.LyDoKhac);
                    $('#NgayNhiem').val(rs.NgayNhiem);
                    $('#NgayXuatVien').val(rs.NgayXuatVien);
                    $('#TinhThanhPho').html(rs.LsTinhThanh);
                    $('.btnShowDialog').click();
                },
                error: function (e) {

                }
            });
        } else if (selectedRowsData.length > 1){
            var MaQR = "";
            var i = 0;
            for (i = 0; i < selectedRowsData.length; i++) {
                if(i==0) MaQR = selectedRowsData[i].MaQR;
                else MaQR += ";" + selectedRowsData[i].MaQR;
            }
            $.ajax({
                type: "POST",
                url: '@Url.Action("GetThongTinVacXinTinhThanh", "Staff")',
                data: { MaQR: MaQR },
                dataType: 'text',
                success: function (data) {
                    var rs = JSON.parse(data)[0];
                    console.log(rs); $('.MaQR').val(MaQR);
                    $('#Mui_TenVacxin').html(rs.LsTenVacXin);
                    $('#TinhThanhPho').html(rs.LsTinhThanh);
                    $('.btnShowDialog').click();
                },
                error: function (e) {

                }
            });
        }
    });
    function GetDuLieu(TiemTaiDiaPhuong,BiF0,DaNghiViec,LyDoKhac) {
        var IdDonVi = $('#DonVi').val();
        if (IdDonVi != "") {
            $.ajax({
            type: "GET",
            url: '@Url.Action("GetDanhSachNhanVienByDonViChiTiet_CapNhatLyDoKhongTiem", "Staff")',
            dataType: 'text',
            data: { IdDonVi: IdDonVi,TiemTaiDiaPhuong:TiemTaiDiaPhuong,BiF0:BiF0,DaNghiViec:DaNghiViec,LyDoKhac:LyDoKhac},
            success: function (data) {
                var cData = JSON.parse(data);
                console.log(cData);

                $("#gridContainer").dxDataGrid({
                    dataSource: cData,
                    columns: [
                        {
                            dataField: "STT",
                            caption: "#",
                            width:50,
                            fixed: true,
                            fixedPosition: "left",
                            allowEditing: false
                        },{
                            dataField: "HoTen",
                            caption: "Họ và tên (*)",
                            allowEditing: false
                        },
                        {
                            dataField: "NamSinh",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Ngày sinh </br>dạng dd/mm/yyyy (*)")
                                    .appendTo(header);
                            },
                            allowEditing: false,
                        },
                        {
                            dataField: "DienThoai",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Số điện thoại(*)</br>(Tối thiểu 10 số)")
                                    .appendTo(header);
                            },
                            allowEditing: false,
                        },
                        {
                                caption: "Tiêm tại địa phương",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption: "Tên vắc xin",
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui_TenVacXin",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Ngày tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('2').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui_NgayTiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Số lô",
                                        alignment: "center",
                                        columns: [{
                                            caption:"3",
                                            headerCellTemplate: function (container) {
                                                container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui_SoLo",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Địa điểm tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"4",
                                            headerCellTemplate: function (container) {
                                                container.html('4').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui_DiaDiem",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                        },
                        {
                                caption: "Bị F0",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption:"Ngày mắc",
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "NgayNhiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption:"Ngày khỏi",
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "NgayXuatVien",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                        },
                        {
                            caption:"Đã nghỉ việc",
                            dataField: "DaNghiViec",
                            allowEditing: false,
                        },
                        {
                            caption:"Lý do khác",
                            dataField: "LyDoKhac",
                            allowEditing: false,
                        },
                    ],
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },selection: {
                       // mode: "multiple"
                    },
                    //paging: { enabled: false },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    }, export: {
                        enabled: true
                    },
                    onExporting(e) {
                      const workbook = new ExcelJS.Workbook();
                      const worksheet = workbook.addWorksheet('Sheet 1');
                      var borderStylePattern = { style: 'thick', color: { argb: 'FF7E7E7E' } };
                      DevExpress.excelExporter.exportDataGrid({
                        component: e.component,
                        worksheet,
                        //topLeftCell: { row: 0, column: 1 },
                      }).then((cellRange) => {


                      }).then(() => {
                        workbook.xlsx.writeBuffer().then((buffer) => {
                          saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'danh-sach-khong-tiem.xlsx');
                        });
                      });
                      e.cancel = true;
                    },
                });

            },
            error: function (e) {

            }
            });
        }
    }
    $('.btnTiemTaiDiaPhuong').click(function () {
        GetDuLieu(1,0,0,0);
    });
    $('.btnBiF0').click(function () {
        GetDuLieu(0,1,0,0);
    });
    $('.btnDaNghiViec').click(function () {
        GetDuLieu(0,0,1,0);
    });
    $('.btnLyDoKhac').click(function () {
        GetDuLieu(0,0,0,1);
    });
    $('#btnXem').click(function () {
        var IdDonVi = $('#DonVi').val();
        console.log(IdDonVi);
        if (IdDonVi != "") {
            createCookie("DonViChiTiet", IdDonVi);
            $.ajax({
            type: "GET",
            url: '@Url.Action("GetDanhSachNhanVienByDonViChiTiet_CapNhatLyDoKhongTiem", "Staff")',
            dataType: 'text',
            data: {IdDonVi:IdDonVi},
            success: function (data) {
                var cData = JSON.parse(data);
                console.log(cData);
                var i = 0;
                var BiF0 = 0;
                var TiemTaiDiaPhuong = 0;
                var DaNghiViec = 0;
                var LyDoKhac = 0;
                for (i = 0; i < cData.length; i++) {
                    if (cData[i].isBiF0 == 1)
                        BiF0++;
                    if (cData[i].isTiemTaiDiaPhuong == 1)
                        TiemTaiDiaPhuong++
                    if (cData[i].isDaNghiViec == 1)
                        DaNghiViec++
                    if (cData[i].isLyDoKhac == 1)
                        LyDoKhac++;
                }
                $('#DaDangKy').html(cData.length);
                $('#DaDangKy2').html(cData.length);
                $('#DaDangKy3').html(cData.length);
                $('#DaDangKy4').html(cData.length);
                $('#BiF0').html(BiF0);
                $('#TiemTaiDiaPhuong').html(TiemTaiDiaPhuong);
                $('#DaNghiViec').html(DaNghiViec);
                $('#LyDoKhac').html(LyDoKhac);
                $("#gridContainer").dxDataGrid({
                    dataSource: cData,
                    columns: [
                        {
                            dataField: "STT",
                            caption: "#",
                            width:50,
                            fixed: true,
                            fixedPosition: "left",
                            allowEditing: false
                        },{
                            dataField: "HoTen",
                            caption: "Họ và tên (*)",
                            allowEditing: false
                        },
                        {
                            dataField: "NamSinh",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Ngày sinh </br>dạng dd/mm/yyyy (*)")
                                    .appendTo(header);
                            },
                            allowEditing: false,
                        },
                        {
                            dataField: "DienThoai",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Số điện thoại(*)</br>(Tối thiểu 10 số)")
                                    .appendTo(header);
                            },
                            allowEditing: false,
                        },
                        {
                                caption: "Tiêm tại địa phương",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption: "Tên vắc xin",
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui_TenVacXin",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Ngày tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('2').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui_NgayTiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Số lô",
                                        alignment: "center",
                                        columns: [{
                                            caption:"3",
                                            headerCellTemplate: function (container) {
                                                container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui_SoLo",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "Địa điểm tiêm",
                                        alignment: "center",
                                        columns: [{
                                            caption:"4",
                                            headerCellTemplate: function (container) {
                                                container.html('4').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "Mui_DiaDiem",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                        },
                        {
                                caption: "Bị F0",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption:"Ngày mắc",
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "NgayNhiem",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption:"Ngày khỏi",
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "NgayXuatVien",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                        },
                        {
                            caption:"Đã nghỉ việc",
                            dataField: "DaNghiViec",
                            allowEditing: false,
                        },
                        {
                            caption:"Lý do khác",
                            dataField: "LyDoKhac",
                            allowEditing: false,
                        },
                    ],
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },selection: {
                        mode: "multiple"
                    },
                    //paging: { enabled: false },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    }, export: {
                        enabled: true
                    },
                    onExporting(e) {
                      const workbook = new ExcelJS.Workbook();
                      const worksheet = workbook.addWorksheet('Sheet 1');
                      var borderStylePattern = { style: 'thick', color: { argb: 'FF7E7E7E' } };
                      DevExpress.excelExporter.exportDataGrid({
                        component: e.component,
                        worksheet,
                        //topLeftCell: { row: 0, column: 1 },
                      }).then((cellRange) => {


                      }).then(() => {
                        workbook.xlsx.writeBuffer().then((buffer) => {
                          saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'danh-sach-khong-tiem.xlsx');
                        });
                      });
                      e.cancel = true;
                    },
                });

            },
            error: function (e) {

            }
            });
        }
    });

</script>